GNU bug report logs - #40748
28.0.50; Switching wifi networks hangs dns lookups

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Eric Abrahamsen <eric@HIDDEN>; merged with #41234; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 40748 <at> debbugs.gnu.org and Eric Abrahamsen <eric@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 40748 <at> debbugs.gnu.org:


Received: (at 40748) by debbugs.gnu.org; 24 Dec 2021 09:12:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 24 04:12:09 2021
Received: from localhost ([127.0.0.1]:35652 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n0gcT-00068Z-7d
	for submit <at> debbugs.gnu.org; Fri, 24 Dec 2021 04:12:09 -0500
Received: from quimby.gnus.org ([95.216.78.240]:40208)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1n0gcR-00067x-2A; Fri, 24 Dec 2021 04:12:07 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=h8i9zr2qWX2Gf9FuD1nwMQNMXD5tgC5YBOJVh4VmpY8=; b=fgezFEEKgI5ZxV2Y6pcAc5PzZn
 1BovnC5Qn2prxdi/ncFH9jvYxjRo34BoGz6Wjs8f4Im81vI+LAFrxmRhUxBJDRPehlXslcUPvv6Tf
 VDyH6BiAp45cnfziAIzYYCnttUxdzDYtWPekCCTS12JzKeVEBfGYfMepUWqDv5A3byjo=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1n0gcI-0001zt-HL; Fri, 24 Dec 2021 10:12:01 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#40748: 28.0.50; Switching wifi networks hangs dns lookups
References: <1rnogg6b.dag@HIDDEN> <87y2neh2zr.fsf@HIDDEN>
 <87wnqwy279.fsf_-_@HIDDEN> <8735mj0y8j.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEVBR1MTEhVTn+s/
 Z52/r6z///8nA0HJAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+UMGAkCD3dY9nwAAAGoSURBVDjLbZOB
 dYMwDESlmgGs0AFaOwMY3AFc4v1nqk4yAZLCSx74c6eTMMQSM4sIfpGII4kQk+ASIHYQquNYFwo8
 b7rWezdAFAg/pspzYvlUwCdFXYgkVpFJQXOFH0wUuehKH16WgREA1BXqFXGtwUyhZgMsEiMz/Kpb
 wmJqMBEAtGNHwYpoCPYiFq08wWT/+rRYJ9aLg0bdbfgMIqH8L7wUFAMVoLd+AlohOIi9nRQorZHN
 avpViKGgYwdUDDTZh2IgVNJKdjvtIABo66GiiM6S6ADVZnJvFn9yRaxhgLk/bCLkxQ8Q7g8Z80W1
 +QQ2a711miDYQa59kzHADsEOUiplgOkF5GUXABR6gpSRqrCDlA+gbj/oG3FnPHiAlG0iXeLNbi3V
 apeLS+gjDULJybdLmj+mBEOua01f0UAY6/fsb1yV9j76Y1ckEnm2BzC/g+jbYX0Hvh1uB/ANJ2yS
 OL8pyED9x8rKb7a6XoB5Gch6HkBrQbKaYD0DssQQvAFI1CvnSw2tDsmG0V5S4ZuiPdYFUNTPZ0uZ
 1pc+sH+19kNeAOHEmr/tP8Z4f61SELGbAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIxLTEyLTI0VDA5
 OjAyOjE1KzAwOjAwF5gWKQAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMS0xMi0yNFQwOTowMjoxNSsw
 MDowMGbFrpUAAAAASUVORK5CYII=
X-Now-Playing: James Taylor's _Sweet Baby James_: "Steamroller"
Date: Fri, 24 Dec 2021 10:11:54 +0100
In-Reply-To: <8735mj0y8j.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Thu, 23 Dec 2021 14:09:48 -0800")
Message-ID: <87a6gq4bad.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eric Abrahamsen <eric@HIDDEN> writes: > I do not,
 and it doesn't seem to be happening any more! My bug can be > closed, but
 I'm not sure about 41234, which it's been merged with. I think that bug report
 points to a problem somewhere else in the OS and not in Emacs, so I'm closing
 this bug report. If this is wrong, please respond to the debbugs address
 and we'll reopen. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 40748
Cc: 40748 <at> debbugs.gnu.org, Dmitry Alexandrov <dag@HIDDEN>,
 41234 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eric Abrahamsen <eric@HIDDEN> writes:

> I do not, and it doesn't seem to be happening any more! My bug can be
> closed, but I'm not sure about 41234, which it's been merged with.

I think that bug report points to a problem somewhere else in the OS and
not in Emacs, so I'm closing this bug report.  If this is wrong, please
respond to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40748; Package emacs. Full text available.

Message received at 40748 <at> debbugs.gnu.org:


Received: (at 40748) by debbugs.gnu.org; 23 Dec 2021 22:09:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 23 17:09:57 2021
Received: from localhost ([127.0.0.1]:35072 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n0WHd-0008Gr-5z
	for submit <at> debbugs.gnu.org; Thu, 23 Dec 2021 17:09:57 -0500
Received: from mail.ericabrahamsen.net ([52.70.2.18]:46224)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>)
 id 1n0WHb-0008Gc-QA; Thu, 23 Dec 2021 17:09:56 -0500
Received: from localhost (c-71-197-232-41.hsd1.wa.comcast.net [71.197.232.41])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 4BA23FA02D;
 Thu, 23 Dec 2021 22:09:49 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ericabrahamsen.net;
 s=mail; t=1640297389;
 bh=NpW/EWxODJblpcUUkl2+7LzcrmSl+Q7Ek4ycFcOgyik=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=Q3vsbHb3+dSPfjUrp73U4VW7wqdxlZBsmar82AqXm/xMgQJmYZQc6jydY+xbmNTOo
 T8c04u+hcXQeeF9VZytuWr+RBV6uTBDWi836um9mH3i9Mx0hUEZ533IDJA3ea8xnwY
 fnkNWyCrglKHYoLZee8AydLUed1gV+pWwLyUYPXU=
From: Eric Abrahamsen <eric@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#40748: 28.0.50; Switching wifi networks hangs dns lookups
References: <1rnogg6b.dag@HIDDEN> <87y2neh2zr.fsf@HIDDEN>
 <87wnqwy279.fsf_-_@HIDDEN>
Date: Thu, 23 Dec 2021 14:09:48 -0800
In-Reply-To: <87wnqwy279.fsf_-_@HIDDEN> (Lars Ingebrigtsen's message of
 "Mon, 14 Jun 2021 16:02:02 +0200")
Message-ID: <8735mj0y8j.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 40748
Cc: 40748 <at> debbugs.gnu.org, Dmitry Alexandrov <dag@HIDDEN>,
 41234 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>
>> So I'm not sure how this can be an Emacs bug -- as far as I know,
>> there's no way for libc clients to say "update all the DNS stuff now";
>> it's supposed to happen automatically when you call getaddrinfo.  (If
>> I'm wrong, somebody please correct me.)
>
> This was almost a year ago -- does anybody have any further input here?
> If not, I'm not sure there's anything we can do from the Emacs side
> here...

I do not, and it doesn't seem to be happening any more! My bug can be
closed, but I'm not sure about 41234, which it's been merged with.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40748; Package emacs. Full text available.

Message received at 40748 <at> debbugs.gnu.org:


Received: (at 40748) by debbugs.gnu.org; 14 Jun 2021 14:02:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 14 10:02:17 2021
Received: from localhost ([127.0.0.1]:47280 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lsnAP-0003Bg-Es
	for submit <at> debbugs.gnu.org; Mon, 14 Jun 2021 10:02:17 -0400
Received: from quimby.gnus.org ([95.216.78.240]:38196)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1lsnAN-00035r-AL; Mon, 14 Jun 2021 10:02:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Ae7QFlPgP/fUAiQpJF9JU2XL1hxK0pEin51ewVWrGF8=; b=PGIB7m6aZDLfSwGBM9sEKAgk4M
 B5FJmJ7svC1e68TRtqh0N7MfAjPKFSAz3NY9obJSwUvmclY91zt9vG5gK00OpVOqRQyyje7CxnsS8
 68jiz2FbNQCCPqyn11Elx1WmzXKkJoFqc0j1fNSi0058spuuaDCSHwrVnfLCnPGZi7Qo=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lsnAB-0001Vf-FQ; Mon, 14 Jun 2021 16:02:09 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Dmitry Alexandrov <dag@HIDDEN>
Subject: Re: bug#40748: 28.0.50; Switching wifi networks hangs dns lookups
References: <1rnogg6b.dag@HIDDEN> <87y2neh2zr.fsf@HIDDEN>
X-Now-Playing: 75 Dollar Bill's _I Was Real_: "I Was Real"
Date: Mon, 14 Jun 2021 16:02:02 +0200
In-Reply-To: <87y2neh2zr.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 20 Jul 2020 12:53:12 +0200")
Message-ID: <87wnqwy279.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > So I'm not sure
 how this can be an Emacs bug -- as far as I know, > there's no way for libc
 clients to say "update all the DNS stuff now"; > it's supposed to happen
 automatically when you call getad [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40748
Cc: 40748 <at> debbugs.gnu.org, 41234 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> So I'm not sure how this can be an Emacs bug -- as far as I know,
> there's no way for libc clients to say "update all the DNS stuff now";
> it's supposed to happen automatically when you call getaddrinfo.  (If
> I'm wrong, somebody please correct me.)

This was almost a year ago -- does anybody have any further input here?
If not, I'm not sure there's anything we can do from the Emacs side
here...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40748; Package emacs. Full text available.
Forcibly Merged 40748 41234. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 40748 <at> debbugs.gnu.org:


Received: (at 40748) by debbugs.gnu.org; 3 Jul 2020 04:11:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 03 00:11:54 2020
Received: from localhost ([127.0.0.1]:56069 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jrD3K-0005yT-90
	for submit <at> debbugs.gnu.org; Fri, 03 Jul 2020 00:11:54 -0400
Received: from relay-1.mailobj.net ([213.182.54.6]:54519)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dag@HIDDEN>) id 1jrD3E-0005yB-GT
 for 40748 <at> debbugs.gnu.org; Fri, 03 Jul 2020 00:11:52 -0400
Received: from v-1c.localdomain (unknown [192.168.90.161])
 by relay-1.mailobj.net (Postfix) with SMTP id 42A4012BA;
 Fri,  3 Jul 2020 06:11:42 +0200 (CEST)
Received: by mail-1.net-c.com [213.182.54.15] with ESMTP
 Fri,  3 Jul 2020 06:11:42 +0200 (CEST)
X-EA-Auth: S8J+bgzO5c8HkdV2KdVSuIQPvoad2WeARIBgL2tKP5g28czkgbNWUqIZVAkNhszOGGV2fUPxAamNz3afgSDzH/gDx0LzXDLX
From: Dmitry Alexandrov <dag@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#40748: 28.0.50; Switching wifi networks hangs dns lookups
In-Reply-To: <878sio3gtd.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Tue, 21 Apr 2020 10:10:54 -0700")
References: <878sio3gtd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Date: Fri, 03 Jul 2020 07:11:39 +0300
Message-ID: <h7up9r0k.dag@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 40748
Cc: 40748 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

> I often have trouble reconnecting Gnus' nntp servers after sleeping the l=
aptop in one location, and waking it up in another, connecting to a new wif=
i network

> I edebugged `nntp-open-connection', and realized that the error =E2=80=B9=
=E2=80=A6=E2=80=BA is actually a dns error:

Looks familiar!

> Here's the code that opens the connection; in my case it's nntp-open-netw=
ork-stream/network.

Could not it actually be an even deeper issue I outlined in bug#41234: 27.0=
.91; Synchronous network requests are failing with =E2=80=9CName or service=
 not known=E2=80=9D [1]?

[1] <mid:1rnogg6b.dag@HIDDEN>
    <https://bugs.gnu.org/41234>

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYIACsWIQRSX35grYEsI2F1K7TIsPhUjufz5wUCXv6v+w0cZGFnQGdudWku
b3JnAAoJEMiw+FSO5/PnoPUA/RB/Q5NxfG1LPAqIKQ0I44oth5n7QcE2stbw41wP
tNkAAP0b8ZjVjQLZVIKxoCvXWOFqgfhyBsOJw8w9ctQ7gET0Aw==
=aEoX
-----END PGP SIGNATURE-----
--=-=-=--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40748; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Apr 2020 17:11:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 21 13:11:08 2020
Received: from localhost ([127.0.0.1]:50698 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jQwQN-0007TG-BA
	for submit <at> debbugs.gnu.org; Tue, 21 Apr 2020 13:11:08 -0400
Received: from lists.gnu.org ([209.51.188.17]:51537)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1jQwQL-0007T9-J5
 for submit <at> debbugs.gnu.org; Tue, 21 Apr 2020 13:11:06 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:33896)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eric@HIDDEN>) id 1jQwQL-0004gF-5q
 for bug-gnu-emacs@HIDDEN; Tue, 21 Apr 2020 13:11:05 -0400
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.2 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_MED,
 SPF_PASS,URIBL_BLOCKED autolearn=unavailable autolearn_force=no
 version=3.4.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.90_1)
 (envelope-from <eric@HIDDEN>) id 1jQwQK-00016M-HK
 for bug-gnu-emacs@HIDDEN; Tue, 21 Apr 2020 13:11:04 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:47484
 helo=mail.ericabrahamsen.net)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eric@HIDDEN>)
 id 1jQwQK-00014W-5J
 for bug-gnu-emacs@HIDDEN; Tue, 21 Apr 2020 13:11:04 -0400
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 58908FA099
 for <bug-gnu-emacs@HIDDEN>; Tue, 21 Apr 2020 17:10:56 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; Switching wifi networks hangs dns lookups
Date: Tue, 21 Apr 2020 10:10:54 -0700
Message-ID: <878sio3gtd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=52.70.2.18; envelope-from=eric@HIDDEN;
 helo=mail.ericabrahamsen.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/04/21 13:10:56
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic]
X-Received-From: 52.70.2.18
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)


I'm on Emacs master, but this behavior has been evident for quite some
time, a year or two I think.

I often have trouble reconnecting Gnus' nntp servers after sleeping the
laptop in one location, and waking it up in another, connecting to a new
wifi network (I'm using Arch linux, if it matters).

I edebugged `nntp-open-connection', and realized that the error (which
is getting handled by `nnheader-report', that's why I didn't notice it)
is actually a dns error:

(error "news.gmane.io/nntp Temporary failure in name resol...")

Other Emacs network connections behave as normal. But this error for
this particular server persists until I restart Emacs.

Are DNS lookups cached? Cached per connection? Is there anything we can
do to flush whatever's "stuck"?

Here's the code that opens the connection; in my case it's
nntp-open-network-stream/network.

Happy to help with further debugging!

(let ((coding-system-for-read 'binary)
      (coding-system-for-write 'binary)
      (map '((nntp-open-network-stream network)
	     (network-only plain)	; compat
	     (nntp-open-plain-stream plain)
	     (nntp-open-ssl-stream tls)
	     (nntp-open-tls-stream tls))))
  (if (assoc nntp-open-connection-function map)
      (open-network-stream
       "nntpd" pbuffer nntp-address nntp-port-number
       :type (cadr (assoc nntp-open-connection-function map))
       :end-of-command "^\\([2345]\\|[.]\\).*\n"
       :capability-command "HELP\r\n"
       :success "^3"
       :starttls-function
       (lambda (capabilities)
	 (if (not (string-match "STARTTLS" capabilities))
	     nil
	   "STARTTLS\r\n")))
    (funcall nntp-open-connection-function pbuffer)))




Acknowledgement sent to Eric Abrahamsen <eric@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#40748; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 24 Dec 2021 09:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.